Bug 972517 - The system must ignore ICMPv6 redirects by default
The system must ignore ICMPv6 redirects by default
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.6
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On: 972513
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 16:01 EDT by Jason Pyeron
Modified: 2016-11-25 07:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 10:21:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL6 STIG patch (474 bytes, patch)
2013-06-09 16:01 EDT, Jason Pyeron
no flags Details | Diff
specfile patch (1.31 KB, patch)
2013-06-09 16:02 EDT, Jason Pyeron
no flags Details | Diff

  None (edit)
Description Jason Pyeron 2013-06-09 16:01:04 EDT
Created attachment 758923 [details]
RHEL6 STIG patch

Description of problem:

The default configuration is not conforming to best practices. The Red Hat Enterprise Linux 6 Security Technical Implementation Guide (STIG) v1.2 published by the Defense Information Systems Agency recommends the changes in the attached patch.

Version-Release number of selected component (if applicable):

http://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/initscripts-9.03.38-1.el6_4.1.src.rpm

How reproducible:

Always

Steps to Reproduce:

perform a yum install

Actual results:

root@test /tmp/setup
# sysctl net.ipv6.conf.default.accept_redirects
net.ipv6.conf.default.accept_redirects = 1

Expected results:

$ sysctl net.ipv6.conf.default.accept_redirects

The output of the command should indicate a value of "0". If this value is not the default value, investigate how it could have been adjusted at runtime, and verify it is not set improperly in "/etc/sysctl.conf".

Additional info:

see: http://iase.disa.mil/stigs/os/unix/red_hat.html
Comment 2 Jason Pyeron 2013-06-09 16:02:30 EDT
Created attachment 758925 [details]
specfile patch
Comment 3 Václav Pavlín 2013-06-13 10:21:27 EDT
Hi, this bug changes the default behaviour of the system and we don't think it is appropriate to do this in a midstream RHEL 6 release.

Note You need to log in before you can comment on or make changes to this bug.